Resend Organization Invitation
PUThttps://api.confident-ai.com/v1/organization/invitations/{invitationId}
Resends a pending organization invitation email to the invitee.
curl -X PUT "https://api.confident-ai.com/v1/organization/invitations/{invitationId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"invitation": {
"id": 101,
"email": "carol@example.com",
"status": "PENDING",
"created_at": "2024-12-04T23:00:00.000Z",
"organizationRoleId": "role-uuid-2"
}
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
invitationIdintegerRequiredThe unique identifier of the invitation.
Response
successbooleanIndicates if the request was successful.
dataobjectShow 1 propertyHide 1 property
invitationobjectShow 5 propertiesHide 5 properties
idintegerUnique identifier for the invitation
emailstringThe invited email address
statusenumThe current status of the invitation
Show 3 enum valuesHide 3 enum values
PENDINGACCEPTEDDECLINED
created_atstringISO 8601 timestamp of when the invitation was created
organizationRoleIdstringThe id of the organization role the invitee will receive, or
nullfor the default